Page MenuHomePhabricator

Deploy Wikisource extension to Wikimedia cluster
Open, Needs TriagePublic

Description

The Wikisource extension has been created to host some Wikibase customization for Wikisource. It currently implements a fix for T180303 but its aims also at hosting other customization for Wikisources, not only related to Wikibase. It should be deployed to all *wikisource wikis on Wikimedia cluster after the usual review.

Needed for beta deployment of the extensions:

  • Security Review for Wikisource:
  • Deploy on beta sites:
  • Deploy on test wikis:
  • Deploy on Wikisources

Details

Related Gerrit Patches:
operations/mediawiki-config : masterextension-list: Add Wikisource
mediawiki/tools/release : masterStart branching Wikisource for wmf/

Event Timeline

Tpt created this task.Nov 22 2018, 6:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2018, 6:44 PM
Tpt updated the task description. (Show Details)Nov 27 2018, 6:51 PM
MaxSem added a subscriber: MaxSem.Dec 13 2018, 8:37 AM

The extension claims to fix a problem yet current git master does nothing - where is that code?

Tpt added a comment.Feb 27 2019, 9:01 PM

@MaxSem Sorry, I missed your comment. We have now merged changes that solves task T180303 and I am working on T128173
But it would be nice to push T180303 to Wikisource without waiting for T128173

Ankry added a subscriber: Ankry.Feb 27 2019, 9:07 PM
Tpt added a comment.Feb 27 2019, 9:14 PM

I have just setup a subtask related to the security review: T217289

MJL added a subscriber: MJL.Jul 5 2019, 6:53 PM

Change 547216 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/tools/release@master] Start branching Wikisource for wmf/

https://gerrit.wikimedia.org/r/547216

Change 547216 merged by jenkins-bot:
[mediawiki/tools/release@master] Start branching Wikisource for wmf/

https://gerrit.wikimedia.org/r/547216

Mentioned in SAL (#wikimedia-operations) [2019-10-30T14:50:30Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T210174 Load Wikisource extension when wmgUseWikisource is true (duration: 01m 01s)

Change 547228 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] extension-list: Add Wikisource

https://gerrit.wikimedia.org/r/547228

Change 547228 merged by jenkins-bot:
[operations/mediawiki-config@master] extension-list: Add Wikisource

https://gerrit.wikimedia.org/r/547228